Bug 253525 - devel/meson: update to 0.57.1
Summary: devel/meson: update to 0.57.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://mesonbuild.com/Release-notes-...
Keywords: needs-qa
Depends on: 252559
Blocks: 255550
  Show dependency treegraph
 
Reported: 2021-02-15 01:37 UTC by Jan Beich
Modified: 2021-05-02 15:20 UTC (History)
3 users (show)

See Also:
tcberner: maintainer-feedback+
antoine: exp-run+


Attachments
v1 (0.57.0) (1.37 KB, patch)
2021-02-15 01:37 UTC, Jan Beich
tcberner: maintainer-approval+
Details | Diff
v2 (0.57.0) (2.07 KB, patch)
2021-02-19 13:42 UTC, Jan Beich
no flags Details | Diff
v3 (0.57.1) (1.72 KB, patch)
2021-02-20 14:25 UTC, Jan Beich
no flags Details | Diff
v4 (0.57.1) (2.73 KB, patch)
2021-02-20 15:08 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2021-02-15 01:37:02 UTC
Created attachment 222450 [details]
v1 (0.57.0)

See URL for visible changes.
Comment 1 Tobias C. Berner freebsd_committer 2021-02-15 19:31:00 UTC
Comment on attachment 222450 [details]
v1 (0.57.0)

Moin moin 

Looks good to me after the exp-run.

mfg Tobias
Comment 4 Jan Beich freebsd_committer 2021-02-19 13:42:11 UTC
Created attachment 222635 [details]
v2 (0.57.0)

CPPFLAGS was ignored but upstream has a fix (backported). Can you try again?
Comment 7 Jan Beich freebsd_committer 2021-02-20 14:25:56 UTC
Created attachment 222674 [details]
v3 (0.57.1)

New upstream release. Can you try again?
Comment 8 Dmitri Goutnik freebsd_committer 2021-02-20 14:42:21 UTC
x11-wm/i3 might need https://github.com/i3/i3/pull/4264/commits/a7d873f8ccb117c8e0775fe5bfe5804416b89709, similar to x11-wm/i3-gaps (which still uses a local patch but to the same effect).
Comment 9 Jan Beich freebsd_committer 2021-02-20 15:08:10 UTC
Created attachment 222677 [details]
v4 (0.57.1)

(In reply to Dmitri Goutnik from comment #8)
Thanks. Builds fine now.
Comment 10 Antoine Brodin freebsd_committer 2021-02-21 07:19:08 UTC
Exp-run looks fine
Comment 11 commit-hook freebsd_committer 2021-02-21 07:26:31 UTC
A commit references this bug:

Author: jbeich
Date: Sun Feb 21 07:26:15 UTC 2021
New revision: 566208
URL: https://svnweb.freebsd.org/changeset/ports/566208

Log:
  devel/meson: update to 0.57.1

  - Backport fix for x11-wm/i3 [1]

  Changes:	https://mesonbuild.com/Release-notes-for-0-57-0.html
  Changes:	https://github.com/mesonbuild/meson/compare/0.56.2...0.57.1
  Reported by:	GitHub (watch releases)
  PR:		253525
  Submitted by:	dmgk [1]
  Exp-run by:	antoine
  Approved by:	tcberner

Changes:
  head/devel/meson/Makefile
  head/devel/meson/distinfo
  head/x11-wm/i3/Makefile
  head/x11-wm/i3/distinfo